package com.qmth.qrzk.repository.pager.model;

import java.util.ArrayList;
import java.util.List;



public class PaperSkeletonDetailVO {

	private Integer id;				//编号
	
	private Integer skeletonId;		//细目表主表ID
	
	private Integer questiontypeId;		//题型id
	
	private String name;  //题型名称
	
	private Integer chapter; //总章节
	
	private double questionScore;//小题分
	
	private Integer questionTypeTotalCount; //题量总计
	
	private Double questionTypeTotalScore;//题量分数总计

	private List<PaperSkeletonDetail> list = new ArrayList<PaperSkeletonDetail>();
	
	
	public Integer getId() {
		return id;
	}

	public void setId(Integer id) {
		this.id = id;
	}

	public Integer getSkeletonId() {
		return skeletonId;
	}

	public void setSkeletonId(Integer skeletonId) {
		this.skeletonId = skeletonId;
	}

	public Integer getQuestiontypeId() {
		return questiontypeId;
	}

	public void setQuestiontypeId(Integer questiontypeId) {
		this.questiontypeId = questiontypeId;
	}


	public String getName() {
		return name;
	}

	public void setName(String name) {
		this.name = name;
	}

	public List<PaperSkeletonDetail> getList() {
		return list;
	}

	public void setList(List<PaperSkeletonDetail> list) {
		this.list = list;
	}

	public Integer getChapter() {
		return chapter;
	}

	public void setChapter(Integer chapter) {
		this.chapter = chapter;
	}

	public double getQuestionScore() {
		return questionScore;
	}

	public void setQuestionScore(double questionScore) {
		this.questionScore = questionScore;
	}

	public Integer getQuestionTypeTotalCount() {
		return questionTypeTotalCount;
	}

	public void setQuestionTypeTotalCount(Integer questionTypeTotalCount) {
		this.questionTypeTotalCount = questionTypeTotalCount;
	}

	public Double getQuestionTypeTotalScore() {
		return questionTypeTotalScore;
	}

	public void setQuestionTypeTotalScore(Double questionTypeTotalScore) {
		this.questionTypeTotalScore = questionTypeTotalScore;
	}

	
	private Integer questionCount1;
	
	private Integer questionCount2;

	private Integer questionCount3;
	
	private Integer questionCount4;
	
	private Integer questionCount5;
	
	private Integer questionCount6;
	
	private Integer questionCount7;
	private Integer questionCount8;
	private Integer questionCount9;
	private Integer questionCount10;
	private Integer questionCount11;
	private Integer questionCount12;
	private Integer questionCount13;
	private Integer questionCount14;
	private Integer questionCount15;
	private Integer questionCount16;
	private Integer questionCount17;
	private Integer questionCount18;
	private Integer questionCount19;
	private Integer questionCount20;
	private Integer questionCount21;
	private Integer questionCount22;
	private Integer questionCount23;
	private Integer questionCount24;
	private Integer questionCount25;
	private Integer questionCount26;
	private Integer questionCount27;
	private Integer questionCount28;
	private Integer questionCount29;
	private Integer questionCount30;
	private Integer questionCount31;
	private Integer questionCount32;
	private Integer questionCount33;
	private Integer questionCount34;
	private Integer questionCount35;
	private Integer questionCount36;
	private Integer questionCount37;
	private Integer questionCount38;
	private Integer questionCount39;
	private Integer questionCount40;


	public Integer getQuestionCount1() {
		return questionCount1;
	}

	public void setQuestionCount1(Integer questionCount1) {
		this.questionCount1 = questionCount1;
	}

	public Integer getQuestionCount2() {
		return questionCount2;
	}

	public void setQuestionCount2(Integer questionCount2) {
		this.questionCount2 = questionCount2;
	}

	public Integer getQuestionCount3() {
		return questionCount3;
	}

	public void setQuestionCount3(Integer questionCount3) {
		this.questionCount3 = questionCount3;
	}

	public Integer getQuestionCount4() {
		return questionCount4;
	}

	public void setQuestionCount4(Integer questionCount4) {
		this.questionCount4 = questionCount4;
	}

	public Integer getQuestionCount5() {
		return questionCount5;
	}

	public void setQuestionCount5(Integer questionCount5) {
		this.questionCount5 = questionCount5;
	}

	public Integer getQuestionCount6() {
		return questionCount6;
	}

	public void setQuestionCount6(Integer questionCount6) {
		this.questionCount6 = questionCount6;
	}

	public Integer getQuestionCount7() {
		return questionCount7;
	}

	public void setQuestionCount7(Integer questionCount7) {
		this.questionCount7 = questionCount7;
	}

	public Integer getQuestionCount8() {
		return questionCount8;
	}

	public void setQuestionCount8(Integer questionCount8) {
		this.questionCount8 = questionCount8;
	}

	public Integer getQuestionCount9() {
		return questionCount9;
	}

	public void setQuestionCount9(Integer questionCount9) {
		this.questionCount9 = questionCount9;
	}

	public Integer getQuestionCount10() {
		return questionCount10;
	}

	public void setQuestionCount10(Integer questionCount10) {
		this.questionCount10 = questionCount10;
	}

	public Integer getQuestionCount11() {
		return questionCount11;
	}

	public void setQuestionCount11(Integer questionCount11) {
		this.questionCount11 = questionCount11;
	}

	public Integer getQuestionCount12() {
		return questionCount12;
	}

	public void setQuestionCount12(Integer questionCount12) {
		this.questionCount12 = questionCount12;
	}

	public Integer getQuestionCount13() {
		return questionCount13;
	}

	public void setQuestionCount13(Integer questionCount13) {
		this.questionCount13 = questionCount13;
	}

	public Integer getQuestionCount14() {
		return questionCount14;
	}

	public void setQuestionCount14(Integer questionCount14) {
		this.questionCount14 = questionCount14;
	}

	public Integer getQuestionCount15() {
		return questionCount15;
	}

	public void setQuestionCount15(Integer questionCount15) {
		this.questionCount15 = questionCount15;
	}

	public Integer getQuestionCount16() {
		return questionCount16;
	}

	public void setQuestionCount16(Integer questionCount16) {
		this.questionCount16 = questionCount16;
	}

	public Integer getQuestionCount17() {
		return questionCount17;
	}

	public void setQuestionCount17(Integer questionCount17) {
		this.questionCount17 = questionCount17;
	}

	public Integer getQuestionCount18() {
		return questionCount18;
	}

	public void setQuestionCount18(Integer questionCount18) {
		this.questionCount18 = questionCount18;
	}

	public Integer getQuestionCount19() {
		return questionCount19;
	}

	public void setQuestionCount19(Integer questionCount19) {
		this.questionCount19 = questionCount19;
	}

	public Integer getQuestionCount20() {
		return questionCount20;
	}

	public void setQuestionCount20(Integer questionCount20) {
		this.questionCount20 = questionCount20;
	}

	public Integer getQuestionCount21() {
		return questionCount21;
	}

	public void setQuestionCount21(Integer questionCount21) {
		this.questionCount21 = questionCount21;
	}

	public Integer getQuestionCount22() {
		return questionCount22;
	}

	public void setQuestionCount22(Integer questionCount22) {
		this.questionCount22 = questionCount22;
	}

	public Integer getQuestionCount23() {
		return questionCount23;
	}

	public void setQuestionCount23(Integer questionCount23) {
		this.questionCount23 = questionCount23;
	}

	public Integer getQuestionCount24() {
		return questionCount24;
	}

	public void setQuestionCount24(Integer questionCount24) {
		this.questionCount24 = questionCount24;
	}

	public Integer getQuestionCount25() {
		return questionCount25;
	}

	public void setQuestionCount25(Integer questionCount25) {
		this.questionCount25 = questionCount25;
	}

	public Integer getQuestionCount26() {
		return questionCount26;
	}

	public void setQuestionCount26(Integer questionCount26) {
		this.questionCount26 = questionCount26;
	}

	public Integer getQuestionCount27() {
		return questionCount27;
	}

	public void setQuestionCount27(Integer questionCount27) {
		this.questionCount27 = questionCount27;
	}

	public Integer getQuestionCount28() {
		return questionCount28;
	}

	public void setQuestionCount28(Integer questionCount28) {
		this.questionCount28 = questionCount28;
	}

	public Integer getQuestionCount29() {
		return questionCount29;
	}

	public void setQuestionCount29(Integer questionCount29) {
		this.questionCount29 = questionCount29;
	}

	public Integer getQuestionCount30() {
		return questionCount30;
	}

	public void setQuestionCount30(Integer questionCount30) {
		this.questionCount30 = questionCount30;
	}

	public Integer getQuestionCount31() {
		return questionCount31;
	}

	public void setQuestionCount31(Integer questionCount31) {
		this.questionCount31 = questionCount31;
	}

	public Integer getQuestionCount32() {
		return questionCount32;
	}

	public void setQuestionCount32(Integer questionCount32) {
		this.questionCount32 = questionCount32;
	}

	public Integer getQuestionCount33() {
		return questionCount33;
	}

	public void setQuestionCount33(Integer questionCount33) {
		this.questionCount33 = questionCount33;
	}

	public Integer getQuestionCount34() {
		return questionCount34;
	}

	public void setQuestionCount34(Integer questionCount34) {
		this.questionCount34 = questionCount34;
	}

	public Integer getQuestionCount35() {
		return questionCount35;
	}

	public void setQuestionCount35(Integer questionCount35) {
		this.questionCount35 = questionCount35;
	}

	public Integer getQuestionCount36() {
		return questionCount36;
	}

	public void setQuestionCount36(Integer questionCount36) {
		this.questionCount36 = questionCount36;
	}

	public Integer getQuestionCount37() {
		return questionCount37;
	}

	public void setQuestionCount37(Integer questionCount37) {
		this.questionCount37 = questionCount37;
	}

	public Integer getQuestionCount38() {
		return questionCount38;
	}

	public void setQuestionCount38(Integer questionCount38) {
		this.questionCount38 = questionCount38;
	}

	public Integer getQuestionCount39() {
		return questionCount39;
	}

	public void setQuestionCount39(Integer questionCount39) {
		this.questionCount39 = questionCount39;
	}

	public Integer getQuestionCount40() {
		return questionCount40;
	}

	public void setQuestionCount40(Integer questionCount40) {
		this.questionCount40 = questionCount40;
	}

	
}
